MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/text_file.h File Reference

`#include <glib.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Functions
char * | read_text_line (FILE *file, GString *buffer)
| Reads a line from the input file, and strips trailing space.

## Function Documentation

char* read_text_line | ( | FILE * | file,
|  | GString * | buffer
| ) |  |

Reads a line from the input file, and strips trailing space.

There is a reasonable maximum line length, only to prevent denial of service.

Parameters:

  file | the source file, opened in text mode
  buffer | an allocator for the buffer

Returns:
  a pointer to the line, or NULL on end-of-file or error